Last Comment Bug 766515 - DRAE search plugin is broken
: DRAE search plugin is broken
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: es-ES / Spanish (show other bugs)
: unspecified
: All All
: -- major (vote)
: ---
Assigned To: [:rickiees] Ricardo Palomares
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 03:34 PDT by Guillermo López :willyaranda (probably SLOW response)
Modified: 2012-08-18 04:58 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to fix DRAE (Spanish normative dictionary) searchplugin for Firefox and Thunderbird (8.24 KB, patch)
2012-06-21 13:47 PDT, [:rickiees] Ricardo Palomares
themilossh: review+
Details | Diff | Splinter Review
Revised patch with a better, alternative SearchForm URL (868 bytes, patch)
2012-07-01 12:32 PDT, [:rickiees] Ricardo Palomares
themilossh: review+
Details | Diff | Splinter Review

Description Guillermo López :willyaranda (probably SLOW response) 2012-06-20 03:34:45 PDT
As noticed Benjamín in our NAVE list, there is a change in the DRAE search engine, so our current search plugin is not working.

From:
> http://buscon.rae.es/draeI/SrvltGUIBusUsual?TIPO_HTML=2&TIPO_BUS=3&LEMA=boria

To:
> http://lema.rae.es/drae/?val=boria

Axel, this patch could land in all trees? (beta/aurora/nightly).
Comment 1 Axel Hecht [:Pike] 2012-06-20 03:43:06 PDT
Can we contact RAE to confirm that that's the URL to use?

For the implementation, I'd prefer a real patch and a review request to make sure there's no bug in the details. Feel free to request review from Milos, he's doing most of those these days.
Comment 2 Guillermo López :willyaranda (probably SLOW response) 2012-06-20 03:52:38 PDT
Email sent to informatica@rae.es and waiting for response.

Yes, I'll attach a patch, of course.
Comment 3 Guillermo López :willyaranda (probably SLOW response) 2012-06-20 08:40:56 PDT
Answer in Spanish from them:

----

Esfectivamente, el cambio es definitivo. Ha habido algunos problemas con la página de redirección cuando se usa la URL anterior, pero ya están resueltos.

Un saludo,

Fernando Sánchez León
Departamento de Tecnología
Centro de Estudios de la Real Academia Española

----

So the old URL should redirect to the definition, but with a big delay and not to the new URL. This redirection will be gone in a future.

Patch later today.
Comment 4 [:rickiees] Ricardo Palomares 2012-06-21 13:38:30 PDT
(In reply to Guillermo López (:willyaranda) from comment #3)
> Patch later today.


In case you don't have it ready yet, Guillermo, please wait. I'm going to attach a patch to change the searchplugin in both Firefox and Thunderbird.
Comment 5 [:rickiees] Ricardo Palomares 2012-06-21 13:47:01 PDT
Created attachment 635441 [details] [diff] [review]
Patch to fix DRAE (Spanish normative dictionary) searchplugin for Firefox and Thunderbird

I wonder if and when this patch lands our current es-ES users will benefit from it without having to do anything on its part. I ask this because, if that's not the case, we should issue a notice in our community sites and instructions for them to manually download and replace it.
Comment 6 Axel Hecht [:Pike] 2012-06-21 13:51:44 PDT
yeah, this should just work.
Comment 7 Guillermo López :willyaranda (probably SLOW response) 2012-06-21 14:48:15 PDT
Yes, great, thanks! I've been very busy :(
Comment 8 [:rickiees] Ricardo Palomares 2012-06-25 13:38:14 PDT
(In reply to Ricardo Palomares from comment #5)
> Created attachment 635441 [details] [diff] [review]
> Patch to fix DRAE (Spanish normative dictionary) searchplugin for Firefox
> and Thunderbird
> 
> I wonder if and when this patch lands our current es-ES users will benefit
> from it without having to do anything on its part. I ask this because, if
> that's not the case, we should issue a notice in our community sites and
> instructions for them to manually download and replace it.


ping milos. It would be nice to have this landed, tested and signed-off before next cycle shift. Also, I forgot to say that our plan is to land this patch in beta, aurora and central.
Comment 9 Milos Dinic [:Milos] 2012-06-26 01:24:23 PDT
Comment on attachment 635441 [details] [diff] [review]
Patch to fix DRAE (Spanish normative dictionary) searchplugin for Firefox and Thunderbird

Review of attachment 635441 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good. r+

Please land this mentioning this review and bug number in commit message.
Comment 10 [:rickiees] Ricardo Palomares 2012-06-26 10:44:15 PDT
Committed:

http://hg.mozilla.org/l10n-central/es-ES/rev/62d965da47ee
http://hg.mozilla.org/releases/l10n/mozilla-aurora/es-ES/rev/88079b783c0c
http://hg.mozilla.org/releases/l10n/mozilla-beta/es-ES/rev/87928a9ea33b

Thanks, Milos. We'll test these builds and sign-off if everything is OK.
Comment 11 [:rickiees] Ricardo Palomares 2012-06-28 14:14:15 PDT
Still no change in Firefox Beta (although I've got an update) nor in Thunderbird Beta, but I've got it for Thunderbird Aurora and:

1) It works OK.
2) It works with the current user profile, without the user having to do anything special.

BTW, what's the purpose of the <SearchForm> tag? I didn't notice and I haven't changed the URL in it. Should I provide a new patch?
Comment 12 Axel Hecht [:Pike] 2012-06-28 15:29:50 PDT
The Beta builds will only show the change once you sign-off and the sign-off is taken, by me and Mark, resp.

SeachForm is used when you hit enter in the search field without entering any search term, so, yeah, please attach a patch to fix those, too.
Comment 13 [:rickiees] Ricardo Palomares 2012-06-28 16:14:02 PDT
(In reply to Axel Hecht [:Pike] from comment #12)
> The Beta builds will only show the change once you sign-off and the sign-off
> is taken, by me and Mark, resp.


OK. I guess the most appropiate course of action then is that we test in Aurora and when it works, we sign-off in both Beta and Aurora.


> SeachForm is used when you hit enter in the search field without entering
> any search term, so, yeah, please attach a patch to fix those, too.


The RAE page is a bit awkard. Most of it are frame-based and features a search form in the header-like. Ping to Spanish guys, I'd go with this URL to display the search form in a more elegant way:

http://www.rae.es/rae/Noticias.nsf/Portada2?ReadForm

What do you think? Please respond ASAP, so we can provide a patch this Friday.
Comment 14 Axel Hecht [:Pike] 2012-06-29 07:20:21 PDT
I think that http://lema.rae.es/drae/ is actually a better page.

The page you linked to actually opens a new window if I search in it, that sounds very wrong.
Comment 15 [:rickiees] Ricardo Palomares 2012-06-30 03:13:32 PDT
(In reply to Axel Hecht [:Pike] from comment #14)
> I think that http://lema.rae.es/drae/ is actually a better page.
> 
> The page you linked to actually opens a new window if I search in it, that
> sounds very wrong.


Weird thing is I think that's the new style of the website (which is undergoing a redesign, which in turn triggered the problem with the searchplugin).

Anyway, don't try to explain why I was unable to find this page before:

http://www.rae.es/rae.html

which features search boxes for the RAE dictionary and the DPHD, something like a annotated dictionary. The results don't open in a new window.
Comment 16 Axel Hecht [:Pike] 2012-06-30 04:59:00 PDT
That one looks good
Comment 17 Guillermo López :willyaranda (probably SLOW response) 2012-06-30 11:25:15 PDT
The patch is working in latest Nightly and I'm OK with the page found by Ricardo for the <SearchForm>.
Comment 18 [:rickiees] Ricardo Palomares 2012-07-01 12:32:56 PDT
Created attachment 638215 [details] [diff] [review]
Revised patch with a better, alternative SearchForm URL

So, here is the revised patch.
Comment 19 Milos Dinic [:Milos] 2012-07-02 05:06:40 PDT
Comment on attachment 638215 [details] [diff] [review]
Revised patch with a better, alternative SearchForm URL

Review of attachment 638215 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. r+. Please go ahead and land.
Comment 21 [:rickiees] Ricardo Palomares 2012-07-02 15:22:25 PDT
Manually tested copying l10n-central/es-ES/browser/searcplugins/drae.xml to the searchplugins directory of Firefox Beta. Searches are directed to lema.rae.es without going through buscon.rae.es. Hitting [Enter] in the search form with no search terms loads www.rae.es/rae.html, so I've signed off Firefox & Thunderbird in Aurora & Beta channels.
Comment 22 [:rickiees] Ricardo Palomares 2012-08-18 04:58:27 PDT
I think this can be closed safely now.

Note You need to log in before you can comment on or make changes to this bug.